//*****************************************************************************
//*
//*
//*		AzArchiverShell.h
//*
//*
//*****************************************************************************
#ifndef		__AZARCHIVERSHELL_H__
#define		__AZARCHIVERSHELL_H__

#include	"ComDef.h"
#include	"Resource.h"
#include	"IContextMenuImpl.h"
#include	"IShellExtInitImpl.h"


//*****************************************************************************
//*
//*		Klasse CAzArchiverShell
//*
//*****************************************************************************
class ATL_NO_VTABLE CAzArchiverShell :  public CComObjectRootEx<CComSingleThreadModel>,
										public CComCoClass<CAzArchiverShell,&CLSID_AzArchiverShell>,
										public IObjectWithSiteImpl<CAzArchiverShell>,
										public IShellExtInitImpl,
										public IContextMenuImpl,
										public IDispatchImpl<IAzArchiverShell,&IID_IAzArchiverShell,&LIBID_AZARCHIVERDLLLib>
{
public:

	CAzArchiverShell();
   ~CAzArchiverShell();


	DECLARE_REGISTRY_RESOURCEID(IDR_AZARCHIVER)
	DECLARE_PROTECT_FINAL_CONSTRUCT()


																
	STDMETHOD(Initialize      )(LPCITEMIDLIST,LPDATAOBJECT,HKEY);	// IShellExtInit
	STDMETHOD(GetCommandString)(UINT_PTR,UINT,UINT*,LPSTR,UINT);	// IContextMenu
	STDMETHOD(InvokeCommand   )(LPCMINVOKECOMMANDINFO);
	STDMETHOD(QueryContextMenu)(HMENU,UINT,UINT,UINT,UINT);

	BEGIN_COM_MAP(CAzArchiverShell)
	COM_INTERFACE_ENTRY(IShellExtInit)
	COM_INTERFACE_ENTRY(IContextMenu)
	COM_INTERFACE_ENTRY(IObjectWithSite)
	COM_INTERFACE_ENTRY(IAzArchiverShell)
	END_COM_MAP()


protected:

	TCHAR			m_cTempPath[256];
	COLORREF		m_uMenuColor;
	HBITMAP			m_hBitmap;
	CStringChain	m_sCommand;
	CStringChain	m_sListP;
	CStringChain	m_sListA;
	CStringChain	m_sFiles;
	CStringChain	m_sInfo;
	CStringChain	m_sMenu;
	UINT			m_uZips;
	UINT			m_uExes;
	UINT			m_uSub;
	UINT			m_uDirs;
	UINT			m_uStart;
	UINT			m_uStartP;
	UINT			m_uStartA;
	HMENU			m_hMenuM;
	HMENU			m_hMenuP;
	HMENU			m_hMenuA;

	static HBITMAP	DibToBitmap(const void *pDib,int iConvert,HWND hWnd,COLORREF uCol=0xFFFFFFFF);

};

#endif
