//*****************************************************************************
//*
//*
//*		ConfigDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_CONFIGDLG_H__81DF65DD_037E_4622_B47F_72F32E36DA58__INCLUDED_
#define		AFX_CONFIGDLG_H__81DF65DD_037E_4622_B47F_72F32E36DA58__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif

//*****************************************************************************
//*
//*		Dialogfeld CConfigDlg
//*
//*****************************************************************************
class CConfigDlg : public CDialog
{
public:
	
	CConfigDlg(CWnd* pParent = NULL);

	static LPCTSTR	GetCreateType();
	static void		Uninstall();

	//{{AFX_DATA(CConfigDlg)
	enum { IDD = IDD_CONFIGDLG };
	BOOL	m_bTypeZip;
	BOOL	m_bTypeTar;
	BOOL	m_bTypeGz;
	BOOL	m_bTypeTgz;
	BOOL	m_bTypeBz2;
	BOOL	m_bTypeCab;
	BOOL	m_bTypeRar;
	BOOL	m_bTypeRpm;
	BOOL	m_bTypeIso;
	BOOL	m_bType7z;
	BOOL	m_bTypeJar;
	BOOL	m_bTypeUue;
	BOOL	m_bTypePio;
	BOOL	m_bTypeUdf;
	BOOL	m_bTypeXz;
	BOOL	m_bTypeLwz;
	BOOL	m_bTypeLzm;
	BOOL	m_bTypeZix;
	CString m_sPathEditor;
	CString m_sPathHexEditor;
	CString m_sPathTemp;
	CString m_sPathExtract;
	CString m_sPathCompress;
	int     m_iOwnWindow;
	int		m_iExtractMode;
	int		m_iCompressMode;
	int		m_iCompressType;
	BOOL	m_iExplorerOn;
	BOOL	m_iExplorerSubMenu;
	BOOL	m_iExplorerOpenMenu;
	BOOL	m_iExplorerExtractTo;
	BOOL	m_iExplorerExtractHere;
	BOOL	m_iExplorerExtractBody;
	BOOL	m_iExplorerExtractList;
	BOOL	m_iExplorerCompressTo;
	BOOL	m_iExplorerCompressList;
	BOOL	m_iExplorerCompressBody;
	//}}AFX_DATA

	BOOL	m_iExplorerOnInit;
	BOOL	m_bTypeInitZip;
	BOOL	m_bTypeInitTar;
	BOOL	m_bTypeInitGz;
	BOOL	m_bTypeInitTgz;
	BOOL	m_bTypeInitBz2;
	BOOL	m_bTypeInitCab;
	BOOL	m_bTypeInitRar;
	BOOL	m_bTypeInitRpm;
	BOOL	m_bTypeInitIso;
	BOOL	m_bTypeInit7z;
	BOOL	m_bTypeInitJar;
	BOOL	m_bTypeInitUue;
	BOOL	m_bTypeInitPio;
	BOOL	m_bTypeInitUdf;
	BOOL	m_bTypeInitXz;
	BOOL	m_bTypeInitLwz;
	BOOL	m_bTypeInitLzm;
	BOOL	m_bTypeInitZix;

	//{{AFX_VIRTUAL(CConfigDlg)
protected:
	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CConfigDlg)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnPathEditor();
	afx_msg void OnPathHexEditor();
	afx_msg void OnPathCompress();
	afx_msg void OnPathExtract();
	afx_msg void OnPathTemp();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void OnUpdate();
	
	static	LPCTSTR		m_aCreateSuffix[];						// Dateierweiterungen fr's Dateierzeugen
	static	int			m_iCreateType;							// Aktuelle gewhler Typ fr's Dateierzeugen
};															

//{{AFX_INSERT_LOCATION}}

#endif
