//*****************************************************************************
//*
//*		
//*		InsertDlg.cpp
//*		
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"AzArchiver.h"
#include	"InsertDlg.h"


#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


LPOFNHOOKPROC	CInsertDlg::pOldHookProc;		
CInsertDlg	   *CInsertDlg::pThis;
CString			CInsertDlg::m_sPlusFilter;
CString			CInsertDlg::m_sMinusFilter;
CString			CInsertDlg::m_sStartPath;
CString			CInsertDlg::m_sSubPath;
BOOL			CInsertDlg::m_bSubSearch;

//*****************************************************************************
//*
//*		DialogFeld CInsertDlg
//*
//*****************************************************************************
CInsertDlg::CInsertDlg(BOOL bOpenFileDialog,LPCTSTR pDefExt,LPCTSTR pFileName,DWORD dwFlags,LPCTSTR pFilter,CWnd *pParentWnd)
	: CFileDialog(bOpenFileDialog,pDefExt,pFileName,dwFlags,pFilter,pParentWnd)
{
	
												// Einhngen der Dialog-Resource fr die Vorschau
	m_ofn.lpstrTitle     = _T("Dateien auswhlen");
	m_ofn.lpTemplateName = MAKEINTRESOURCE(IDD_INSERTDLG);
	m_ofn.Flags         |= OFN_ENABLEHOOK|OFN_ENABLETEMPLATE|OFN_ALLOWMULTISELECT;	
	pOldHookProc		 = m_ofn.lpfnHook;
	m_ofn.lpfnHook		 = HookProc;
	pThis				 = this;

}


//*****************************************************************************
//*
//*		Destruktor
//*
//*****************************************************************************
CInsertDlg::~CInsertDlg()
{

}

//*****************************************************************************
//*
//*		OnFileNameChange
//*
//*****************************************************************************
//	Diese Funktion wird aufgerufen wenn einen andere Datei aufgerufen wird.
void CInsertDlg::OnFileNameChange( )
{
TCHAR		cPath[MAX_PATH]=_T("");
CWnd	   *pWnd;	


	pWnd=GetParent();
	CommDlg_OpenSave_GetFolderPath(pWnd->m_hWnd,cPath,sizeof(cPath)); 
	m_sStartPath = cPath;

}

//*****************************************************************************
//*
//*		HookProc
//*
//*****************************************************************************
UINT CALLBACK CInsertDlg::HookProc(HWND hDlg,UINT uMsg,WPARAM wParam,LPARAM lParam)
{
TCHAR		cText[260];	
INT			iHeight;
INT			iWidth;
INT			iFlags;
CRect		sFrame;
CRect		sRect;
HWND		hWnd;



	switch(uMsg)
		{
	case WM_INITDIALOG:
		
			{
			CRegKeys	sKey;

			sKey.Open();
			sKey.Up(_T("InsertDlg"));
			
			cText[0]=0;	sKey.Get(cText,sizeof(cText),_T("PlusFilter" )); ::SetDlgItemText(hDlg,IDC_EDIT1,cText);
			cText[0]=0;	sKey.Get(cText,sizeof(cText),_T("MinusFilter")); ::SetDlgItemText(hDlg,IDC_EDIT2,cText);
			cText[0]=0;	sKey.Get(cText,sizeof(cText),_T("SubPath"    )); ::SetDlgItemText(hDlg,IDC_EDIT3,cText);
			iFlags  =0;	sKey.Get(iFlags				,_T("SeachSub"   )); ::SendDlgItemMessage(hDlg,IDC_CHECK1,BM_SETCHECK,(iFlags)? BST_CHECKED:BST_UNCHECKED,0);

			::SetDlgItemText(::GetParent(hDlg),IDOK,_T("Hinzufgen"));
			
			break;
			}

	case WM_COMMAND:
		
			if(LOWORD(wParam)==IDC_INSERT)
				{
				::EndDialog(::GetParent(hDlg),IDIGNORE);
				break;
				}         

			break;

	case WM_DESTROY:
			
			{
			CRegKeys	sKey;

			sKey.Open();
			sKey.Up(_T("InsertDlg"));
			
			cText[0]=0;	::GetDlgItemText(hDlg,IDC_EDIT1,cText,sizeof(cText)); sKey.Set(cText,sizeof(cText),_T("PlusFilter" ));	m_sPlusFilter	= cText;	
			cText[0]=0;	::GetDlgItemText(hDlg,IDC_EDIT2,cText,sizeof(cText)); sKey.Set(cText,sizeof(cText),_T("MinusFilter"));	m_sMinusFilter	= cText;	
			cText[0]=0;	::GetDlgItemText(hDlg,IDC_EDIT3,cText,sizeof(cText)); sKey.Set(cText,sizeof(cText),_T("SubPath"    ));	m_sSubPath		= cText;	

			iFlags   = (::SendDlgItemMessage(hDlg,IDC_CHECK1,BM_GETCHECK,0,0)==BST_CHECKED)? 1:0;
			sKey.Set(iFlags,_T("SeachSub")); 
			m_bSubSearch = iFlags;

			break;
			}         

	case WM_SIZE:

			iWidth	= LOWORD(lParam);
			iHeight	= HIWORD(lParam);
				  
		 	if(iWidth<1)break;

			hWnd =  ::GetDlgItem(hDlg,IDC_EDIT1);
					::GetWindowRect(hWnd,&sRect);
					::SetWindowPos(hWnd,0,0,0,iWidth-23,sRect.Height(),SWP_NOOWNERZORDER|SWP_NOREPOSITION|SWP_NOMOVE|SWP_NOZORDER);

			hWnd =  ::GetDlgItem(hDlg,IDC_EDIT2);
					::GetWindowRect(hWnd,&sRect);
					::SetWindowPos(hWnd,0,0,0,iWidth-23,sRect.Height(),SWP_NOOWNERZORDER|SWP_NOREPOSITION|SWP_NOMOVE|SWP_NOZORDER);

			hWnd =  ::GetDlgItem(hDlg,IDC_EDIT3);
					::GetWindowRect(hWnd,&sRect);
					::SetWindowPos(hWnd,0,0,0,iWidth-23,sRect.Height(),SWP_NOOWNERZORDER|SWP_NOREPOSITION|SWP_NOMOVE|SWP_NOZORDER);

			hWnd =  ::GetDlgItem(hDlg,IDC_INSERT);
					::GetClientRect(hWnd,&sRect);
					::SetWindowPos(hWnd,0,iWidth-17-sRect.Width(),iHeight-196,0,0,SWP_NOOWNERZORDER|SWP_NOSIZE|SWP_NOZORDER);

			break;

		}


	if(!pOldHookProc)return 0;
	

return pOldHookProc(hDlg,uMsg,wParam,lParam);	
}

