//*****************************************************************************
//*
//*
//*		PictureBoxFrame.h
//*
//*
//*****************************************************************************
#ifndef		__PICTUREBOXFRAME_H__
#define		__PICTUREBOXFRAME_H__

#if _MSC_VER > 1000
#pragma once
#endif


class CPictureBoxView;


//*****************************************************************************
//*
//*		Klasse CPictureBoxFrame 
//*
//*****************************************************************************
class CPictureBoxFrame : public CFrameWnd
{
public:

			 CPictureBoxFrame();
	virtual ~CPictureBoxFrame();
	
	DECLARE_DYNCREATE(CPictureBoxFrame)

	int		GetState();
	void	ClearCache();
	void	SetThisPtr(CPictureBoxFrame **pPtr);
	int		SetPicture(LPCTSTR pPath,LPCTSTR pTitle=NULL,BOOL bCheckSufix=TRUE);

	
protected: 

	CRect				m_sCommonRect;						// Rechteck vor dem Zoom
	CToolBarNew			m_wndToolBar;						// Toolbar vom Fenster
	CPictureBoxView	   *m_pPictueView;						// Zeiger aus das CView Fenster
	CPictureBoxFrame  **m_pThisPtr;							// Zeiger auf eigenen Zeiger im Steuerfenster
	BOOL				m_bWindowFixed;						// Das Fenster fixieren
	BOOL				m_bFlatMode;						// Flache Symbolleisten
	BOOL				m_bCreated;							// Ist das Fenster erzeugt worden	
	BOOL				m_bZoomed;							// Ist das Fenster aufgezoomt
	int					m_iScreenX;							// Gre des Bildschirms
	int					m_iScreenY;							//			*
	static HICON		m_hIcon;							// Icon fr das Fenster
	
	#ifdef	_DEBUG					
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
	#endif

	//{{AFX_VIRTUAL(CPictureBoxFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT &sCreateStruct);
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CPictureBoxFrame)
	afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType,int iSizeX,int iSizeY);
	afx_msg void OnMenuFixWindow(CCmdUI *pCmdUI);
	afx_msg void OnMenuZoom(CCmdUI *pCmdUI);
	afx_msg void OnFixWindow();
	afx_msg void OnDestroy();
	afx_msg void OnZoom();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

};



//{{AFX_INSERT_LOCATION}}

#endif