//*****************************************************************************
//*
//*
//*		AzArchiverDll.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"Resource.h"
#include	<initguid.h>
#include	"AzArchiver32.h"

#include	"AzArchiver32_i.c"
#include	"AzArchiverShell.h"


CComModule	sComModule;

BEGIN_OBJECT_MAP(ObjectMap) OBJECT_ENTRY(CLSID_AzArchiverShell,CAzArchiverShell) END_OBJECT_MAP()



//*****************************************************************************
//*
//*		DllMain
//*
//*****************************************************************************
extern"C"BOOL WINAPI DllMain(HINSTANCE hInstance,DWORD dwReason,LPVOID pReserved)
{

	if(dwReason==DLL_PROCESS_ATTACH)
		{
		sComModule.Init(ObjectMap,hInstance,&LIBID_AZARCHIVERDLLLib);
		DisableThreadLibraryCalls(hInstance);
		}
	else if(dwReason==DLL_PROCESS_DETACH)
		{
		sComModule.Term();
		}


return TRUE;
}

//*****************************************************************************
//*
//*		DllCanUnloadNow
//*
//*****************************************************************************
//  Used to determine whether the DLL can be unloaded by OLE
STDAPI DllCanUnloadNow(void)
{
return (sComModule.GetLockCount()==0) ? S_OK : S_FALSE;
}

//*****************************************************************************
//*
//*		DllGetClassObject
//*
//*****************************************************************************
//  Returns a class factory to create an object of the requested type
STDAPI DllGetClassObject(REFCLSID sClassId,REFIID sRiid,LPVOID *pPtr)
{
return sComModule.GetClassObject(sClassId,sRiid,pPtr);
}

//*****************************************************************************
//*
//*		DllRegisterServer
//*
//*****************************************************************************
//  DllRegisterServer - Adds entries to the system registry
STDAPI DllRegisterServer(void)
{
return sComModule.RegisterServer(TRUE);
}

//*****************************************************************************
//*
//*		DllUnregisterServer
//*
//*****************************************************************************
//  DllUnregisterServer - Removes entries from the system registry
STDAPI DllUnregisterServer(void)
{

return sComModule.UnregisterServer(TRUE);
}


//*****************************************************************************
//*
//*		DllInstall
//*
//*****************************************************************************
//	DllInstall - Callback if the DLL will be installed or uninstalled
STDAPI DllInstall(BOOL bInstall,PCWSTR pCmdLine)
{
return S_OK;
}

