//*****************************************************************************
//*
//*
//*		InsertExDlg.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"AzArchiver.h"
#include	"InsertExDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CInsertExDlg, CDialog)
	//{{AFX_MSG_MAP(CInsertExDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  Dialogfeld CInsertExDlg
CInsertExDlg::CInsertExDlg(CWnd *pParent): CDialog(CInsertExDlg::IDD,pParent)
{
	
	//{{AFX_DATA_INIT(CInsertExDlg)
	m_sSubPath		= _T("");
	m_sPlusFilter	= _T("");
	m_sMinusFilter	= _T("");
	//}}AFX_DATA_INIT

	m_iNoLast = 0;

}

//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CInsertExDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CInsertExDlg)
	DDX_Text(pDX,IDC_EDIT1,m_sPlusFilter );
	DDX_Text(pDX,IDC_EDIT2,m_sMinusFilter);
	DDX_Text(pDX,IDC_EDIT3,m_sSubPath    );
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
//  Behandlungsroutinen fr Nachrichten CInsertExDlg
BOOL CInsertExDlg::OnInitDialog()
{
CRegKeys	sKey;


	sKey.Open();
	sKey.Up(_T("InsertDlg"));

	if(!(m_iNoLast&0x02))sKey.Get(m_sSubPath	,_T("SubPath"    ));
	if(!(m_iNoLast&0x04))sKey.Get(m_sPlusFilter	,_T("PlusFilter" ));
	if(!(m_iNoLast&0x08))sKey.Get(m_sMinusFilter,_T("MinusFilter"));


	CDialog::OnInitDialog();



return TRUE;
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CInsertExDlg::OnOK()
{
CRegKeys	sKey;


	UpdateData();

	sKey.Open();
	sKey.Up(_T("InsertDlg"));

	if(!(m_iNoLast&0x02))sKey.Set(m_sSubPath	,_T("SubPath"    ));
	if(!(m_iNoLast&0x04))sKey.Set(m_sPlusFilter	,_T("PlusFilter" ));
	if(!(m_iNoLast&0x08))sKey.Set(m_sMinusFilter,_T("MinusFilter"));

	CInsertDlg::m_sSubPath		= m_sSubPath;
	CInsertDlg::m_sPlusFilter	= m_sPlusFilter;
	CInsertDlg::m_sMinusFilter	= m_sMinusFilter;


	CDialog::OnOK();
}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CInsertExDlg::OnCancel()
{

	CDialog::OnCancel();
}
