//*****************************************************************************
//*
//*
//*		PasswordDlg.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"AzArchiver.h"
#include	"PasswordDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CPasswordDlg, CDialog)
	//{{AFX_MSG_MAP(CPasswordDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


//*****************************************************************************
//*
//*		CDialog
//*
//*****************************************************************************
//  CPasswordDlg Dialog
CPasswordDlg::CPasswordDlg(CWnd *pParent): CDialog(CPasswordDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CPasswordDlg)
	m_sText = _T("");
	//}}AFX_DATA_INIT
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CPasswordDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CPasswordDlg)
	DDX_CBString(pDX, IDC_COMBO1, m_sText);
	//}}AFX_DATA_MAP
}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
//  CPasswordDlg message handlers
BOOL CPasswordDlg::OnInitDialog()
{
LPCTSTR		pText;
LPCTSTR		pList;
CRegKeys	sKey;
int			iLen;


	
	m_pCombo = (CComboBox*)GetDlgItem(IDC_COMBO1);

	if(!m_sRegPath.IsEmpty())
		{
		pList = NULL;

		sKey.Open();
		sKey.Up(m_sRegPath);
		sKey.GetEx((void**)&pList,"PasswordList",REG_MULTI_SZ);

		if(pList)
			{
			for(pText=pList;*pText;pText+=iLen)
				{
				iLen = _tcslen(pText)+1;
				m_pCombo->AddString(pText);
				}
			}
		}


	CDialog::OnInitDialog();



return TRUE;  
}

//*****************************************************************************
//*
//*		GetText
//*
//*****************************************************************************
int	CPasswordDlg::GetText(LPTSTR pText,int iSize)
{
int		iLen;

	
	
	if(iSize<=0)return 0;

	   iLen = m_sText.GetLength();
	if(iLen>=iSize)iLen=iSize;

	memcpy(pText,(LPCTSTR)m_sText,iLen*sizeof(TCHAR));
	pText[iLen] = 0;


return iLen;
}
			
//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CPasswordDlg::OnCancel()
{

	CDialog::OnCancel();
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CPasswordDlg::OnOK()
{
LPTSTR		pList;
CString		sStr;
CRegKeys	sKey;
int			iNum;
int			iLen;
int			iPos;


	UpdateData();

	if(!m_sRegPath.IsEmpty())
		{
		   iNum  = m_pCombo->GetCount();
		if(iNum>15)iNum=15;

		iLen  = m_sText.GetLength()+2;

		for(iPos=0;iPos<iNum;iPos++)
			{
			m_pCombo->GetLBText(iPos,sStr);
			if(sStr.IsEmpty())break;
			iLen += sStr.GetLength()+1;
			}

		pList = new TCHAR[iLen];
				
		_tcscpy(pList,m_sText);
		iLen = m_sText.GetLength()+1;


		for(iPos=0;iPos<iNum;iPos++)
			{
			m_pCombo->GetLBText(iPos,sStr);
			if(sStr.IsEmpty())break;
			if(sStr==m_sText)continue;
			_tcscpy(pList+iLen,m_sText);
			iLen += sStr.GetLength()+1;
			}

		pList[iLen] = 0;

		sKey.Open();
		sKey.Up(m_sRegPath);
		sKey.SetEx(pList,iLen+1,"PasswordList",REG_MULTI_SZ);

		delete pList;
		}


	CDialog::OnOK();
}
